cURL
curl --request POST \
--url https://api.contiguity.com/otp/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "+1234567890",
"language": "en",
"name": "Contiguity"
}
'import requests
url = "https://api.contiguity.com/otp/new"
payload = {
"to": "+1234567890",
"language": "en",
"name": "Contiguity"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '+1234567890', language: 'en', name: 'Contiguity'})
};
fetch('https://api.contiguity.com/otp/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "req_xxxxxxxxxxxxxxxx",
"timestamp": 1765397289220,
"api_version": "v2025.12.10",
"object": "response",
"data": {
"otp_id": "otp_1234567890"
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1765397289220,
"api_version": "v2025.12.10",
"object": "error",
"data": {
"error": "Bad Request",
"status": 400
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1765397289220,
"api_version": "v2025.12.10",
"object": "error",
"data": {
"error": "Unauthorized",
"status": 401
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1765397289220,
"api_version": "v2025.12.10",
"object": "error",
"data": {
"error": "Forbidden",
"status": 403
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1765397289220,
"api_version": "v2025.12.10",
"object": "error",
"data": {
"error": "Internal Server Error",
"status": 500
}
}SMS OTP
Send an OTP
POST
/
new
cURL

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I